Two-Factor Authentication
List 2FAs
GET /auth/verify/auth
List of 2FAs
Response 200: A list of 2FAs
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method |
object | |
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method.name |
string | |
value |
string | |
verified |
boolean |
Create 2FA
POST /auth/verify/auth
Request body
| Field | Type | Required | Description |
|---|---|---|---|
method |
object | ||
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
value |
string |
Response 200: Two Factor Authenticator created.
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method |
object | |
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method.name |
string | |
value |
string | |
verified |
boolean |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
method |
object | ||
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
value |
string |
Response 422: Unprocessable Entity
Delete 2FA
DELETE /auth/verify/auth/{auth_id}
Response 200: 2 Factor Authentication deleted successfully
Response 404: Item not Found
View 2FA
GET /auth/verify/auth/{auth_id}
Get A 2FA
Response 200: A 2 Factor Authentication
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method |
object | |
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method.name |
string | |
value |
string | |
verified |
boolean |
Validate 2FA
PATCH /auth/verify/auth/{auth_id}
Edit 2FA
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
method |
object | ||
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
method.name |
string | ||
value |
string | ||
verified |
boolean |
Response 200: A 2 Factor Authentication
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method |
object | |
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
method.name |
string | |
value |
string | |
verified |
boolean |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
method |
object | ||
method.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
method.name |
string | ||
value |
string | ||
verified |
boolean |
Response 422: Unprocessable Entity
Create 2FA Code
POST /auth/verify/auth/{auth_id}/code
2FA Code
Request body
| Field | Type | Required | Description |
|---|---|---|---|
isWrapped |
boolean |
Response 200: 2FA Code Sent
| Field | Type | Description |
|---|---|---|
auth |
object | |
auth.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
auth.method |
object | |
auth.value |
string | |
auth.verified |
boolean | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
token |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
isWrapped |
boolean |
Response 422: Unprocessable Entity
Delete 2FA Code
DELETE /auth/verify/auth/{auth_id}/code/{code_id}
Response 200: 2 Factor Authentication Code deleted successfully
Response 404: Item not Found
View 2FA Code
GET /auth/verify/auth/{auth_id}/code/{code_id}
Get 2FA Code
Response 200: A 2FA Code
| Field | Type | Description |
|---|---|---|
auth |
object | |
auth.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
auth.method |
object | |
auth.value |
string | |
auth.verified |
boolean | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
token |
string |
Edit 2FA Code
PATCH /auth/verify/auth/{auth_id}/code/{code_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
auth |
object | ||
auth.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
auth.method |
object | ||
auth.value |
string | ||
auth.verified |
boolean | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
token |
string |
Response 200: A 2 Factor Authentication Code
| Field | Type | Description |
|---|---|---|
key |
object | |
key.expires_at |
object | |
key.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
key.key |
string | |
key.name |
string | |
key.owner |
object |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
auth |
object | ||
auth.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
auth.method |
object | ||
auth.value |
string | ||
auth.verified |
boolean | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
token |
string |
Response 422: Unprocessable Entity
List 2FA Methods
GET /auth/verify/method
2FA Methods
Response 200: 2 Factor Auth Methods
| Field | Type | Description |
|---|---|---|
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
View 2FA Method
GET /auth/verify/method/{method_id}
A 2FA Method
Response 200: A 2 Factor Authentication Method
| Field | Type | Description |
|---|---|---|
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Edit 2FA Method
PATCH /auth/verify/method/{method_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
description |
string | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string |
Response 200: A 2FA Method
| Field | Type | Description |
|---|---|---|
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
description |
string | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string |
Response 422: Unprocessable Entity